# Uses of Enum Class
org.apache.sling.api.request.SlingJakartaRequestEvent.EventType

Packages that use SlingJakartaRequestEvent.EventType
Package
Description
org.apache.sling.api.request

## Uses of SlingJakartaRequestEvent.EventType in org.apache.sling.api.request

Methods in org.apache.sling.api.request that return SlingJakartaRequestEvent.EventType
Modifier and Type
Method
Description
`SlingJakartaRequestEvent.EventType`
SlingJakartaRequestEvent.`getType()`
get the type of the event, eg.
`static SlingJakartaRequestEvent.EventType`
SlingJakartaRequestEvent.EventType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SlingJakartaRequestEvent.EventType[]`
SlingJakartaRequestEvent.EventType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sling.api.request with parameters of type SlingJakartaRequestEvent.EventType
Modifier
Constructor
Description
``
`SlingJakartaRequestEvent(jakarta.servlet.ServletContext sc, jakarta.servlet.ServletRequest request, SlingJakartaRequestEvent.EventType type)`